// flow-typed signature: 19cf5aa1a468b9cbc106370bfd5550ba
// flow-typed version: <<STUB>>/uglifyjs-webpack-plugin_v^1.2.7/flow_v0.82.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'uglifyjs-webpack-plugin'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'uglifyjs-webpack-plugin' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'uglifyjs-webpack-plugin/dist/cjs' {
  declare module.exports: any;
}

declare module 'uglifyjs-webpack-plugin/dist/index' {
  declare module.exports: any;
}

declare module 'uglifyjs-webpack-plugin/dist/uglify/minify' {
  declare module.exports: any;
}

declare module 'uglifyjs-webpack-plugin/dist/uglify/Runner' {
  declare module.exports: any;
}

declare module 'uglifyjs-webpack-plugin/dist/uglify/worker' {
  declare module.exports: any;
}

// Filename aliases
declare module 'uglifyjs-webpack-plugin/dist/cjs.js' {
  declare module.exports: $Exports<'uglifyjs-webpack-plugin/dist/cjs'>;
}
declare module 'uglifyjs-webpack-plugin/dist/index.js' {
  declare module.exports: $Exports<'uglifyjs-webpack-plugin/dist/index'>;
}
declare module 'uglifyjs-webpack-plugin/dist/uglify/minify.js' {
  declare module.exports: $Exports<'uglifyjs-webpack-plugin/dist/uglify/minify'>;
}
declare module 'uglifyjs-webpack-plugin/dist/uglify/Runner.js' {
  declare module.exports: $Exports<'uglifyjs-webpack-plugin/dist/uglify/Runner'>;
}
declare module 'uglifyjs-webpack-plugin/dist/uglify/worker.js' {
  declare module.exports: $Exports<'uglifyjs-webpack-plugin/dist/uglify/worker'>;
}
